<div fxLayout="column" class="main">

  <div fxLayout="row" class="header">
    <div fxFlex="90%">
      <h3 [ngClass]="{'currentMonth': date.getMonth() === viewMonth.getMonth(),'otherMonth': date.getMonth() !== viewMonth.getMonth()}">{{ date.getDate() }}</h3>
    </div>
    <div>
      <button md-mini-fab color="primary" *ngIf="hasOrders" class="viewButton" title="View summary" (click)="viewDetails()"><md-icon>remove_red_eye</md-icon></button>
    </div>
  </div>

  <div *ngIf="dailyOrderTotal">

    <div class="no-orders" fxLayout="row" *ngIf="!hasOrders">
      <span>No orders for this day  yet</span>
    </div>

    <div class="foodsList">
      <div *ngFor="let food of dailyOrderTotal.foods">
        <div *ngIf="food.quantity > 0">
          <div fxLayout="row">
            <div fxFlex="90%" class="food">
              <span mdTooltip="{{food.description}}" mdTooltipPosition="above">
                <i [class]="customIcons.getCustomIcon(food.type)"></i>
                {{food.name}}</span>
            </div>
            <div fxFlex="10%" class="quantity">
              <span>{{food.quantity}}</span>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div fxLayout="row" class="total" *ngIf="hasOrders">
      <div fxFlex="75%">
        <h3>Total</h3>
      </div>
      <div fxFlex="25%" class="right-text">
        <h3>{{ dailyOrderTotal.total | number:'1.2' }}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></h3>
      </div>
    </div>
  </div>
</div>
